# synfig::PlaceholderValueNode Class Reference

`#include <valuenode.h>`

Inheritance diagram for synfig::PlaceholderValueNode:

List of all members.

## Public Types

typedef etl::handle < PlaceholderValueNode > | Handle
typedef etl::loose_handle < PlaceholderValueNode > | LooseHandle
typedef etl::handle< const PlaceholderValueNode > | ConstHandle
typedef etl::rhandle < PlaceholderValueNode > | RHandle

## Public Member Functions

virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual ValueNode * | clone (const GUID &deriv_guid=GUID()) const

## Static Public Member Functions

static Handle | create (ValueBase::Type type=ValueBase::TYPE_NIL)

## Protected Member Functions

virtual void | get_times_vfunc (Node::time_set &) const

## Detailed Description

Todo:
  writeme

## Member Typedef Documentation

typedef etl::handle<PlaceholderValueNode> synfig::PlaceholderValueNode::Handle

Reimplemented from synfig::ValueNode.

typedef etl::loose_handle<PlaceholderValueNode> synfig::PlaceholderValueNode::LooseHandle

Reimplemented from synfig::ValueNode.

typedef etl::handle<const PlaceholderValueNode> synfig::PlaceholderValueNode::ConstHandle

Reimplemented from synfig::ValueNode.

typedef etl::rhandle<PlaceholderValueNode> synfig::PlaceholderValueNode::RHandle

Reimplemented from synfig::ValueNode.

## Member Function Documentation

ValueBase PlaceholderValueNode::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

String PlaceholderValueNode::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String PlaceholderValueNode::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

ValueNode * PlaceholderValueNode::clone | ( | const GUID & | deriv_guid = `GUID()` | ) | const`[virtual]`

Todo:
  This needs to be documented further.

Implements synfig::ValueNode.

References synfig::Node::get_guid(), and synfig::Node::set_guid().

PlaceholderValueNode::Handle PlaceholderValueNode::create | ( | ValueBase::Type | type = `ValueBase::TYPE_NIL` | ) | `[static]`

Referenced by synfig::ValueNodeList::surefind().

virtual void synfig::PlaceholderValueNode::get_times_vfunc | ( | Node::time_set & | set | ) | const`[inline, protected, virtual]`

Function to be overloaded that fills

Implements synfig::Node.

The documentation for this class was generated from the following files:

- valuenode.h
- valuenode.cpp